<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
use itnovum\openITCOCKPIT\Core\Views\Logo;

$logo = new Logo();
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('Design Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="DesignsEdit">
            <i class="fas fa-palette"></i> <?php echo __('Design'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-edit"></i> <?php echo __('Edit'); ?>
    </li>
</ol>

<reload-required></reload-required>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Designs'); ?>
                    <span class="fw-300"><i><?php echo __('overview'); ?></i></span>
                </h2>
                <div class="panel-toolbar">
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content">
                    <div class="row">
                        <div class="col-4">
                            <h5><?= __('Layout, Header and Menu'); ?></h5>

                            <div class="custom-control custom-checkbox custom-control-inline margin-left-10">
                                <input type="checkbox" class="custom-control-input" id="logoInHeader"
                                       ng-model="post.logoInHeader"
                                       ng-true-value="1"
                                       ng-false-value="0">
                                <label class="custom-control-label" for="logoInHeader">
                                    <?php echo __('Logo in header'); ?>
                                </label>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Page Header'); ?>
                                </label>

                                <colorpicker-directive class="col-6" highlightclass="mapping.pageHeader.class"
                                                       highlighttype="mapping.pageHeader.highlight" post="post"
                                                       key="'pageHeader'"></colorpicker-directive>
                                <span data-class="{{mapping.pageHeader.class}}"
                                      data-type="{{mapping.pageHeader.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                                    <i class="far fa-question-circle"></i>
                                </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Sidebar'); ?>
                                </label>
                                <colorpicker-directive class="col-2" highlightclass="mapping.pageSidebar.class"
                                                       highlighttype="mapping.pageSidebar.highlight" post="post"
                                                       key="'pageSidebar'"></colorpicker-directive>
                                <span data-class="{{mapping.pageSidebar.class}}"
                                      data-type="{{mapping.pageSidebar.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                                    <i class="far fa-question-circle"></i>
                                </span>

                                <div class="custom-control custom-checkbox custom-control-inline margin-left-10">

                                    <input type="checkbox" class="custom-control-input" id="gradientColor"
                                           ng-model="gradient">
                                    <label class="custom-control-label" for="gradientColor">
                                        <?php echo __('Gradient'); ?>
                                    </label>
                                </div>
                                <div ng-show="gradient">
                                    <label class="control-label col-6">
                                        <?= __('Sidebar gradient'); ?>
                                    </label>
                                    <colorpicker-directive id="pageSidebarGradientColorpicker" class="col-6"
                                                           highlightclass="mapping.pageSidebarGradient.class"
                                                           highlighttype="mapping.pageSidebarGradient.highlight"
                                                           post="post"
                                                           key="'pageSidebarGradient'"></colorpicker-directive>
                                </div>

                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Navigation title font'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.navTitle.class"
                                                       highlighttype="mapping.navTitle.highlight" post="post"
                                                       key="'navTitle'"></colorpicker-directive>
                                <span data-class="{{mapping.navTitle.class}}" data-type="{{mapping.navTitle.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                                    <i class="far fa-question-circle"></i>
                                </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Navigation menu font'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.navMenu.class"
                                                       highlighttype="mapping.navMenu.highlight" post="post"
                                                       key="'navMenu'"></colorpicker-directive>
                                <span data-class="{{mapping.navMenu.class}}" data-type="{{mapping.navMenu.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                                    <i class="far fa-question-circle"></i>
                                </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Navigation menu font on hover'); ?>
                                </label>
                                <colorpicker-directive class="col-6" post="post"
                                                       key="'navMenuHover'"></colorpicker-directive>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Main background'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.pageContentWrapper.class"
                                                       highlighttype="mapping.pageContentWrapper.highlight" post="post"
                                                       key="'pageContentWrapper'"></colorpicker-directive>
                                <span data-class="{{mapping.pageContentWrapper.class}}"
                                      data-type="{{mapping.pageContentWrapper.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                                    <i class="far fa-question-circle"></i>
                                </span>
                            </div>
                        </div>
                        <div class="col-4">
                            <h5><?= __('Tables'); ?></h5>
                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Table background color'); ?>
                                </label>
                                <colorpicker-directive class="col-6" post="post"
                                                       key="'tableBase'"></colorpicker-directive>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Table font color'); ?>
                                </label>
                                <colorpicker-directive class="col-6" post="post"
                                                       key="'tableBaseFont'"></colorpicker-directive>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Table border'); ?>
                                </label>
                                <colorpicker-directive class="col-6" post="post"
                                                       key="'tableBorder'"></colorpicker-directive>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Table hover background'); ?>
                                </label>
                                <colorpicker-directive class="col-6" post="post"
                                                       key="'tableHover'"></colorpicker-directive>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Table hover font color'); ?>
                                </label>
                                <colorpicker-directive class="col-6" post="post"
                                                       key="'tableHoverFont'"></colorpicker-directive>
                            </div>
                        </div>
                        <div class="col-4">
                            <h5><?= __('Tabs'); ?></h5>
                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Tab background'); ?>
                                </label>
                                <colorpicker-directive class="col-6" post="post" key="'navTab'"></colorpicker-directive>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Tab font color'); ?>
                                </label>
                                <colorpicker-directive class="col-6" post="post"
                                                       key="'navLink'"></colorpicker-directive>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Tab font color hover'); ?>
                                </label>
                                <colorpicker-directive class="col-6" post="post"
                                                       key="'navLinkHover'"></colorpicker-directive>
                            </div>

                        </div>
                    </div>

                    <hr>
                    <div class="row">
                        <div class="col-4">
                            <h5><?= __('Panels, Cards'); ?></h5>
                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Panel background'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.panel.class"
                                                       highlighttype="mapping.panel.highlight" post="post"
                                                       key="'panel'"></colorpicker-directive>
                                <span data-class="{{mapping.panel.class}}" data-type="{{mapping.panel.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Panel Title'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.panelHdr.class"
                                                       highlighttype="mapping.panelHdr.highlight" post="post"
                                                       key="'panelHdr'"></colorpicker-directive>
                                <span data-class="{{mapping.panelHdr.class}}" data-type="{{mapping.panelHdr.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Page content font'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.pageContent.class"
                                                       highlighttype="mapping.pageContent.highlight" post="post"
                                                       key="'pageContent'"></colorpicker-directive>
                                <span data-class="{{mapping.pageContent.class}}"
                                      data-type="{{mapping.pageContent.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Card background'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.cardBase.class"
                                                       highlighttype="mapping.cardBase.highlight" post="post"
                                                       key="'cardBase'"></colorpicker-directive>
                                <span data-class="{{mapping.cardBase.class}}" data-type="{{mapping.cardBase.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Card header Background'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.cardHeader.class"
                                                       highlighttype="mapping.cardHeader.highlight" post="post"
                                                       key="'cardHeader'"></colorpicker-directive>
                                <span data-class="{{mapping.cardHeader.class}}"
                                      data-type="{{mapping.cardHeader.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Card content font'); ?>
                                </label>
                                <colorpicker-directive class="col-10" highlightclass="mapping.cardBaseFont.class"
                                                       highlighttype="mapping.cardBaseFont.highlight" post="post"
                                                       key="'cardBaseFont'"></colorpicker-directive>
                                <span data-class="{{mapping.cardBaseFont.class}}"
                                      data-type="{{mapping.cardBaseFont.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Panel and Card header font'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.cardHeaderFont.class"
                                                       highlighttype="mapping.cardHeaderFont.highlight" post="post"
                                                       key="'cardHeaderFont'"></colorpicker-directive>
                                <span data-class="{{mapping.cardHeaderFont.class}}"
                                      data-type="{{mapping.cardHeaderFont.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>
                        </div>

                        <div class="col-4">
                            <h5><?= __('Breadcrumbs'); ?></h5>
                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Breadcrumb font color'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.breadcrumbNonLinks.class"
                                                       highlighttype="mapping.breadcrumbNonLinks.highlight" post="post"
                                                       key="'breadcrumbNonLinks'"></colorpicker-directive>
                                <span data-class="{{mapping.breadcrumbNonLinks.class}}"
                                      data-type="{{mapping.breadcrumbNonLinks.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Breadcrumb with links font color'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.breadcrumbLinks.class"
                                                       highlighttype="mapping.breadcrumbLinks.highlight" post="post"
                                                       key="'breadcrumbLinks'"></colorpicker-directive>
                                <span data-class="{{mapping.breadcrumbLinks.class}}"
                                      data-type="{{mapping.breadcrumbLinks.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>
                        </div>

                        <div class="col-4">
                            <h5><?= __('Input fields and Buttons'); ?></h5>
                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Default button color'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.btnDefault.class"
                                                       highlighttype="mapping.btnDefault.highlight" post="post"
                                                       key="'btnDefault'"></colorpicker-directive>
                                <span data-class="{{mapping.btnDefault.class}}"
                                      data-type="{{mapping.btnDefault.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Default button font color'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.btnDefaultFont.class"
                                                       highlighttype="mapping.btnDefaultFont.highlight" post="post"
                                                       key="'btnDefaultFont'"></colorpicker-directive>
                                <span data-class="{{mapping.btnDefaultFont.class}}"
                                      data-type="{{mapping.btnDefaultFont.highlight}}"
                                      ng-mouseenter="highlightElement($event)"
                                      ng-mouseleave="highlightElement($event)">
                            <i class="far fa-question-circle"></i>
                        </span>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-6">
                                    <?= __('Default button border color'); ?>
                                </label>
                                <colorpicker-directive class="col-6" highlightclass="mapping.btnDefaultBorder.class"
                                                       highlighttype="mapping.btnDefaultBorder.highlight" post="post"
                                                       key="'btnDefaultBorder'"></colorpicker-directive>
                            </div>


                        </div>
                    </div>


                    <div class="card margin-top-10">
                        <div class="card-body">
                            <div class="float-right">
                                <div class="btn-group" role="group" aria-label="themes">
                                    <button type="button" class="btn btn-secondary"
                                            ng-click="reset(1)"><?= __('Dark Theme'); ?></button>
                                    <button class="btn btn-danger" ng-click="reset(0)">
                                        <?php echo __('Reset to default'); ?>
                                    </button>
                                </div>

                                <button class="btn btn-primary"
                                        ng-click="submit()"><?php echo __('Update style'); ?></button>
                            </div>
                        </div>
                    </div>

                    <hr>

                    <!-- Logos -->
                    <h4><?= __('Logos'); ?></h4>
                    <button type="button" class="btn btn-primary margin-bottom-25"
                            ng-click="triggerUploadLogoModal()">
                        <i class="fas fa-cloud-upload-alt">&nbsp;</i>
                        <?= __('Upload logo'); ?>
                    </button>

                    <div class="card-deck">
                        <div class="card" style="width: 18rem;">
                            <img src="<?= $logo->getLogoPdfForHtml(); ?>" class="card-img-top" alt="">
                            <div class="card-body">
                                <div class="form-group">
                                    <button type="button" class="btn btn-danger" ng-click="resetLogo(0)">
                                        <i class="fas fa-trash">&nbsp;</i>
                                        <?= __('Reset logo'); ?>
                                    </button>
                                    <div class="padding-top-10">
                                        <div
                                            class="helptext"><?= __('The logo is used by the interface and PDF files.'); ?></div>
                                        <div class="helptext"><?= ('Resolution: 2600x800'); ?></div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card" style="width: 18rem;">
                            <img src="<?= $logo->getSmallLogoPdfForHtml(); ?>" class="card-img-top img-fluid img-center"
                                 style="max-width: 250px;">
                            <div class="card-body">
                                <div class="form-group">
                                    <button type="button" class="btn btn-danger" ng-click="resetLogo(1)">
                                        <i class="fas fa-trash">&nbsp;</i>
                                        <?= __('Reset logo'); ?>
                                    </button>
                                    <div class="padding-top-10">
                                        <div
                                            class="helptext"><?= __('The small logo is used by notifications.'); ?></div>
                                        <div class="helptext"><?= ('Resolution: 250x77'); ?></div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card" style="width: 18rem;">
                            <img src="<?= $logo->getLogoForHtml(); ?>" class="card-img-top img-fluid img-center">
                            <div class="card-body">
                                <div class="form-group">
                                    <button type="button" class="btn btn-danger" ng-click="resetLogo(2)">
                                        <i class="fas fa-trash">&nbsp;</i>
                                        <?= __('Reset logo'); ?>
                                    </button>
                                    <div class="padding-top-10">
                                        <div
                                            class="helptext"><?= __('The logo is used by the interface and login screen.'); ?></div>
                                        <div class="helptext"><?= ('Resolution: 1920x1080'); ?></div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card" style="width: 18rem;">
                            <img src="<?= $logo->getHeaderLogoForHtml(); ?>" class="card-img-top img-fluid img-center"
                                 style="max-width: 32px;">
                            <div class="card-body">
                                <div class="form-group">
                                    <button type="button" class="btn btn-danger" ng-click="resetLogo(3)">
                                        <i class="fas fa-trash">&nbsp;</i>
                                        <?= __('Reset logo'); ?>
                                    </button>
                                    <div class="padding-top-10">
                                        <div class="helptext"><?= __('This Logo is used in the page header'); ?></div>
                                        <div class="helptext"><?= ('Resolution: 32x32px'); ?></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <hr>

                    <!-- custom css  -->

                    <h4><?= __('Custom CSS'); ?></h4>


                    <div class="form-floating">
                        <textarea class="form-control" placeholder="CSS here.." id="floatingTextarea2"
                                  style="height: 300px" ng-model="post.customcsstext"></textarea>
                        <button type="button" class="btn btn-primary mt-2" ng-click="submit()">
                            <i class="fab fa-css3"> </i>
                            <?= __('Save custom CSS'); ?>

                        </button>
                    </div>


                    <hr>
                    <!-- Import/export Design -->

                    <h4><?= __('Import / Export Design'); ?></h4>

                    <div class="btn-group" role="group" aria-label="export/import">
                        <button type="button" class="btn btn-primary"
                                ng-click="triggerImportDesignModal()">
                            <i class="fas fa-file-upload">&nbsp;</i>
                            <?= __('Import'); ?>
                        </button>
                        <a type="button" class="btn btn-default" ng-show="showExportButton"
                           href="/design_module/designs/export/">
                            <i class="fas fa-file-download">&nbsp;</i>
                            <?= __('Export current saved design'); ?>
                        </a>
                    </div>


                </div>
            </div>
        </div>
    </div>
</div>


<!-- Upload logo modal -->
<div id="UploadLogoModal" class="modal" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">
                    <i class="fas fa-cloud-upload-alt"></i>
                    <?php echo __('Upload your logo'); ?>
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fa fa-times"></i></span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group required">
                            <label class="control-label" for="LogoType">
                                <?php echo __('Logo for'); ?>
                            </label>
                            <select
                                id="LogoType"
                                data-placeholder="<?php echo __('Please choose'); ?>"
                                class="form-control"
                                chosen="{}"
                                ng-model="logoType">
                                <option value="0"><?php echo __('Interface and PDFs'); ?></option>
                                <option value="1"><?php echo __('Notifications'); ?></option>
                                <option value="2"><?php echo __('Interface and Login'); ?></option>
                                <option value="3"><?php echo __('Header logo'); ?></option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row" ng-show="showUpload">
                    <div class="col-12">
                        <div class="form-group">
                            <div class="col-12 text-info padding-top-10">
                                <i class="fa fa-info-circle"></i>
                                <?php echo __('Max allowed file size: '); ?>
                                {{ maxUploadLimit.string }}.
                                <?= __('Supported iamge types: .jpg, .png and .gif.'); ?>
                            </div>
                            <div class="col-12 padding-top-10">
                                <div class="logo-dropzone dropzone dropzoneStyle"
                                     action="/design_module/uploads/uploadLogo.json?angular=true">
                                    <div class="dz-message">
                                        <i class="fas fa-cloud-upload-alt fa-5x text-muted mb-3"></i> <br>
                                        <span class="text-uppercase">
                                            <?= __('Drop files here or click to upload.'); ?>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    <?php echo __('Close'); ?>
                </button>
            </div>
        </div>
    </div>
</div>

<!-- import design modal -->
<div id="ImportDesignModal" class="modal" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">
                    <i class="fas fa-file-upload"></i>
                    <?php echo __('Upload your Design'); ?>
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fa fa-times"></i></span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <div class="col-12 text-info">
                                <i class="fa fa-info-circle"></i>
                                <?php echo __('Max allowed file size: '); ?>
                                {{ maxUploadLimit.string }}
                            </div>
                            <div class="col-12">
                                <div class="importDesign-dropzone dropzone dropzoneStyle"
                                     action="/design_module/designs/import.json?angular=true">
                                    <div class="dz-message">
                                        <i class="fas fa-cloud-upload-alt fa-5x text-muted mb-3"></i> <br>
                                        <span class="text-uppercase">
                                            <?= __('Drop files here or click to upload.'); ?>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

