<?php
declare(strict_types=1);

namespace DesignModule\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * DesignsFixture
 */
class DesignsFixture extends TestFixture
{
    /**
     * Fields
     *
     * @var array
     */
    // phpcs:disable
    public $fields = [
        'id' => ['type' => 'integer', 'length' => 11, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'autoIncrement' => true, 'precision' => null],
        'page_header' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'header-btn' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'page-sidebar' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'nav-title' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'nav-menu' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'nav-menu-hover' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'nav-tabs' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'nav-tabs-hover' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'page-content' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'page-content-wrapper' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'panel-hdr' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'panel' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'breadcrumb-links' => ['type' => 'string', 'length' => 255, 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'comment' => '', 'precision' => null],
        'logo-in-header' => ['type' => 'tinyinteger', 'length' => 4, 'unsigned' => false, 'null' => false, 'default' => null, 'comment' => '', 'precision' => null],
        '_constraints' => [
            'primary' => ['type' => 'primary', 'columns' => ['id'], 'length' => []],
        ],
        '_options' => [
            'engine' => 'InnoDB',
            'collation' => 'utf8_general_ci'
        ],
    ];
    // phpcs:enable
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [
                'id' => 1,
                'page_header' => 'Lorem ipsum dolor sit amet',
                'header-btn' => 'Lorem ipsum dolor sit amet',
                'page-sidebar' => 'Lorem ipsum dolor sit amet',
                'nav-title' => 'Lorem ipsum dolor sit amet',
                'nav-menu' => 'Lorem ipsum dolor sit amet',
                'nav-menu-hover' => 'Lorem ipsum dolor sit amet',
                'nav-tabs' => 'Lorem ipsum dolor sit amet',
                'nav-tabs-hover' => 'Lorem ipsum dolor sit amet',
                'page-content' => 'Lorem ipsum dolor sit amet',
                'page-content-wrapper' => 'Lorem ipsum dolor sit amet',
                'panel-hdr' => 'Lorem ipsum dolor sit amet',
                'panel' => 'Lorem ipsum dolor sit amet',
                'breadcrumb-links' => 'Lorem ipsum dolor sit amet',
                'logo-in-header' => 1,
            ],
        ];
        parent::init();
    }
}
