angular.module('openITCOCKPIT')
    .controller('DesignsEditController', function($scope, $http, $rootScope, $stateParams, NotyService){
        $scope.post = {
            pageHeader: '#ffffff',
            pageSidebar: '#1c2421',
            navTitle: '#7c7e7d',
            navMenu: '#b7b7b7',
            navMenuHover: '#ffffff',
            navLink: '#727b84',
            navLinkHover: '#333',
            pageContent: '#444444',
            pageContentWrapper: '#ebecec',
            panel: '#ffffff',
            panelHdr: '#ffffff',
            breadcrumbNonLinks: '#444444',
            breadcrumbLinks: '#4285F4',
            logoInHeader: 1,
            customcsstext: ''
        };

        $scope.showExportButton = true;

        $scope.mapping = {
            pageHeader: {
                class: '.page-header',
                highlight: 'background'
            },
            pageSidebar: {
                class: '.page-sidebar, .page-logo, .nav-footer',
                highlight: 'background-image'
            },
            navTitle: {
                class: '.nav-title',
                highlight: 'color'
            },
            navMenu: {
                class: '.nav-menu li a, .nav-menu li i',
                highlight: 'color'
            },
            navMenuHover: {},
            navLink: {},
            navLinkHover: {},
            pageContent: {
                class: '.page-content',
                highlight: 'color'
            },
            pageContentWrapper: {
                class: '.page-content-wrapper',
                highlight: 'background'
            },
            panel: {
                class: '.panel',
                highlight: 'background'
            },
            panelHdr: {
                class: '.panel-hdr',
                highlight: 'background'
            },
            breadcrumbNonLinks: {
                class: '.breadcrumb-item',
                highlight: 'color'
            },
            breadcrumbLinks: {
                class: '.breadcrumb-item > a',
                highlight: 'color'
            },
            btnDefault: {
                class: '.btn-group > a.btn-default, .btn-group > button.btn-default',
                highlight: 'background-image'
            },
            btnDefaultFont: {
                class: '.btn-group > a.btn-default, .btn-group > button.btn-default',
                highlight: 'color'
            },
            cardBase: {
                class: '.card',
                highlight: 'background'
            },
            cardBaseFont: {
                class: '.card',
                highlight: 'color'
            },
            cardHeader: {
                class: '.card-header',
                highlight: 'background'
            },
            cardHeaderFont: {
                class: '.card-header, .panel-hdr h2',
                highlight: 'color'
            }
        };

        $scope.logoType = null;
        $scope.showUpload = false;
        $scope.maxUploadLimit = null;
        $scope.gradient = null;
        //$scope.customCssStyle = '';

        $scope.load = function(){
            $http.get("/design_module/designs/edit.json", {
                params: {
                    'angular': true,
                }
            }).then(function(result){
                $scope.post = result.data.design;
                if(result.data.new === true){
                    $scope.showExportButton = false;
                }
                $scope.maxUploadLimit = result.data.maxUploadLimit;
                $scope.init = false;
            });
        };

        $scope.reset = function(type){
            $http.get("/design_module/designs/reset.json", {
                params: {
                    'angular': true,
                    'type': type
                }
            }).then(function(result){
                $scope.post = result.data.design;

                if(type === 0){
                    //Default theme
                    $scope.showPageReloadRequired(); // defined in ReloadRequiredDirective
                }
            });
        };

        createDropzone = function(){
            var dzSuccess = function(obj){
                var $previewElement = $(obj.previewElement);
                var response = JSON.parse(obj.xhr.response);
                if(response.success){
                    $previewElement.removeClass('dz-processing');
                    $previewElement.addClass('dz-success');
                    NotyService.genericSuccess({message: response.message});
                    $scope.showPageReloadRequired(); // defined in ReloadRequiredDirective
                    $scope.hideUploadModals();
                    return;
                }
                $previewElement.removeClass('dz-processing');
                $previewElement.addClass('dz-error');
                NotyService.genericError({message: response.message});

            };

            var dzError = function(obj, errorMessage, xhr){
                var $previewElement = $(obj.previewElement);
                $previewElement.removeClass('dz-processing');
                $previewElement.addClass('dz-error');

                if(typeof xhr === "undefined"){
                    NotyService.genericError({message: errorMessage});
                }else{
                    var response = JSON.parse(obj.xhr.response);
                    NotyService.genericError({message: response.message});
                }
            };

            $('.logo-dropzone').dropzone({
                method: 'post',
                maxFilesize: $scope.maxUploadLimit.value, //MB
                acceptedFiles: 'image/*', //mimetypes
                paramName: $scope.logoType,
                headers: {
                    'X-CSRF-TOKEN': $rootScope._csrfToken
                },
                success: function(obj){
                    dzSuccess(obj);
                },
                error: function(obj, errorMessage, xhr){
                    dzError(obj, errorMessage, xhr);
                }
            });

        };

        $scope.createImportDropzone = function(){
            var dzSuccess = function(obj){
                var $previewElement = $(obj.previewElement);
                var response = JSON.parse(obj.xhr.response);
                if(response.success){
                    $previewElement.removeClass('dz-processing');
                    $previewElement.addClass('dz-success');
                    NotyService.genericSuccess({message: response.message});
                    $scope.showPageReloadRequired(); // defined in ReloadRequiredDirective
                    $scope.hideUploadModals();
                    return;
                }
                $previewElement.removeClass('dz-processing');
                $previewElement.addClass('dz-error');
                NotyService.genericError({message: response.message});

            };

            var dzError = function(obj, errorMessage, xhr){
                var $previewElement = $(obj.previewElement);
                $previewElement.removeClass('dz-processing');
                $previewElement.addClass('dz-error');

                if(typeof xhr === "undefined"){
                    NotyService.genericError({message: errorMessage});
                }else{
                    var response = JSON.parse(obj.xhr.response);
                    NotyService.genericError({message: response.message});
                }
            };
            $('.importDesign-dropzone').dropzone({
                method: 'post',
                maxFilesize: $scope.maxUploadLimit.value, //MB
                acceptedFiles: 'application/json', //mimetypes
                paramName: 'design',
                headers: {
                    'X-CSRF-TOKEN': $rootScope._csrfToken
                },
                success: function(obj){
                    dzSuccess(obj);
                },
                error: function(obj, errorMessage, xhr){
                    dzError(obj, errorMessage, xhr);
                }
            });
        };

        $scope.triggerUploadLogoModal = function(){
            $('#UploadLogoModal').modal('show');
        };

        $scope.triggerUploadSmallLogoModal = function(){
            $('#UploadSmallLogoModal').modal('show');
        };

        $scope.triggerImportDesignModal = function(){
            $('#ImportDesignModal').modal('show');
        };

        $scope.hideUploadModals = function(){
            $('#UploadLogoModal').modal('hide');
            $('#UploadSmallLogoModal').modal('hide');
        };


        $scope.resetLogo = function(type){
            $http.get("/design_module/uploads/resetLogo.json", {
                params: {
                    'angular': true,
                    'type': type
                }
            }).then(function(result){
                if(result.data.success){
                    NotyService.genericSuccess({message: result.data.success});
                    $scope.showPageReloadRequired(); // defined in ReloadRequiredDirective
                    return;
                }
                NotyService.genericError({message: result.message});
            });
        };


        $scope.highlightElement = function(el){
            var targetClass = jQuery(el.currentTarget).data('class');
            var type = jQuery(el.currentTarget).data('type');

            var highlightClass = 'elementHighlighter';
            switch(type){
                case 'color':
                    //font color
                    highlightClass = 'elementFontHighlighter';
                    break;

                case 'background':
                    //background-color
                    highlightClass = 'elementBackgroundHighlighter';
                    break;

                case 'background-image':
                    //background-color
                    highlightClass = 'elementBackgroundImageHighlighter';
                    break;

                default:
                    //both
                    highlightClass = 'elementHighlighter';
                    break;
            }

            switch(el.type){
                case 'mouseenter':
                    jQuery(targetClass).addClass(highlightClass);
                    break;

                case 'mouseleave':
                    jQuery(targetClass).removeClass(highlightClass);
                    break;
            }
        };


        $scope.submit = function(){
            if($scope.gradient !== true && $scope.post.pageSidebar){
                $scope.post.pageSidebarGradient = $scope.post.pageSidebar;
            }
            $http.post("/design_module/designs/edit.json?angular=true",
                {
                    Design: $scope.post
                }
            ).then(function(result){
                $scope.errors = {};
                NotyService.genericSuccess(
                    {
                        message: result.data.message
                    }
                );
                $scope.showPageReloadRequired(); // defined in ReloadRequiredDirective
                $scope.showExportButton = true;

            }, function errorCallback(result){
                NotyService.genericError();
                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                }
            });
        };

        //Fire on page load
        $scope.load();

        $scope.$watch('logoType', function(){
            if($scope.logoType != null){
                $scope.showUpload = true;

                //destroy previous dropzone instances
                jQuery('.logo-dropzone').each(function(){
                    var dropzoneInstance = jQuery(this)[0].dropzone;
                    if(dropzoneInstance){
                        dropzoneInstance.destroy();
                    }
                });

                if($scope.maxUploadLimit != null){
                    createDropzone();
                }
            }
        }, true);

        $scope.$watch('maxUploadLimit', function(){
            if($scope.maxUploadLimit != null){
                $scope.createImportDropzone();
            }
        }, true);
    });
